### File

`packages/eui/packages/components-next/src/lib/layout/eui-notifications/eui-notification-item.component.ts`

### Metadata

selector | `eui-notification-item`
templateUrl | `./eui-notification-item.component.html`

### Index

###### Properties
tooltipSize
###### Methods
onItemClick onItemMarkAsRead
###### Inputs
dateFormat isShowMarkAsRead item markAsReadLabel
###### Outputs
itemClick itemMarkAsRead
###### HostBindings
class

### Inputs

dateFormat
Type : `string`
Default value : `'DD/MM/YYYY'`

isShowMarkAsRead
Type : `boolean`
Default value : `true`

item
Type : `any`

markAsReadLabel
Type : `string`
Default value : `null`

### Outputs

itemClick
Type : `EventEmitter<UxLink>`

itemMarkAsRead
Type : `EventEmitter<UxLink>`

### HostBindings

class
Default value : `'eui-notification-item'`

### Methods

onItemClick
`onItemClick(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

onItemMarkAsRead
`onItemMarkAsRead(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

### Properties

tooltipSize
Type : `string`
Default value : `'auto'`

# result-matching ""

# No results matching ""